(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common/http'), require('@angular/common'), require('@angular/common/locales/zh'), require('@angular/common/locales/en'), require('ng-zorro-antd/i18n'), require('@ngx-translate/core'), require('ng-zorro-antd/modal'), require('ng-zorro-antd/message'), require('ng-zorro-antd/breadcrumb'), require('ng-zorro-antd/button'), require('ng-zorro-antd/input-number'), require('ng-zorro-antd/table'), require('ng-zorro-antd/select'), require('ng-zorro-antd/core/wave'), require('ng-zorro-antd/core/transition-patch'), require('ng-zorro-antd/icon'), require('@angular/forms'), require('ng-zorro-antd/input'), require('@ngx-translate/http-loader'), require('@angular/platform-browser'), require('@angular/platform-browser/animations'), require('@siemens/core-ui')) :
    typeof define === 'function' && define.amd ? define('email-service-configuration', ['exports', '@angular/core', '@angular/common/http', '@angular/common', '@angular/common/locales/zh', '@angular/common/locales/en', 'ng-zorro-antd/i18n', '@ngx-translate/core', 'ng-zorro-antd/modal', 'ng-zorro-antd/message', 'ng-zorro-antd/breadcrumb', 'ng-zorro-antd/button', 'ng-zorro-antd/input-number', 'ng-zorro-antd/table', 'ng-zorro-antd/select', 'ng-zorro-antd/core/wave', 'ng-zorro-antd/core/transition-patch', 'ng-zorro-antd/icon', '@angular/forms', 'ng-zorro-antd/input', '@ngx-translate/http-loader', '@angular/platform-browser', '@angular/platform-browser/animations', '@siemens/core-ui'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global["email-service-configuration"] = {}, global.ng.core, global.ng.common.http, global.ng.common, global.ng.common.locales.zh, global.ng.common.locales.en, global.i3, global.i2, global.i4, global.i5, global.i6, global.i7, global.i8, global.i9, global.i10, global.i11, global.i12, global.i13, global.ng.forms, global.i16, global.httpLoader, global.ng.platformBrowser, global.ng.platformBrowser.animations, global.coreUi));
})(this, (function (exports, i0, i1, i15, zh, en, i3, i2, i4, i5, i6, i7, i8, i9, i10, i11, i12, i13, i14, i16, httpLoader, platformBrowser, animations, coreUi) { 'use strict';

    function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () { return e[k]; }
                    });
                }
            });
        }
        n["default"] = e;
        return Object.freeze(n);
    }

    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);
    var i1__namespace = /*#__PURE__*/_interopNamespace(i1);
    var i15__namespace = /*#__PURE__*/_interopNamespace(i15);
    var zh__default = /*#__PURE__*/_interopDefaultLegacy(zh);
    var en__default = /*#__PURE__*/_interopDefaultLegacy(en);
    var i3__namespace = /*#__PURE__*/_interopNamespace(i3);
    var i2__namespace = /*#__PURE__*/_interopNamespace(i2);
    var i4__namespace = /*#__PURE__*/_interopNamespace(i4);
    var i5__namespace = /*#__PURE__*/_interopNamespace(i5);
    var i6__namespace = /*#__PURE__*/_interopNamespace(i6);
    var i7__namespace = /*#__PURE__*/_interopNamespace(i7);
    var i8__namespace = /*#__PURE__*/_interopNamespace(i8);
    var i9__namespace = /*#__PURE__*/_interopNamespace(i9);
    var i10__namespace = /*#__PURE__*/_interopNamespace(i10);
    var i11__namespace = /*#__PURE__*/_interopNamespace(i11);
    var i12__namespace = /*#__PURE__*/_interopNamespace(i12);
    var i13__namespace = /*#__PURE__*/_interopNamespace(i13);
    var i14__namespace = /*#__PURE__*/_interopNamespace(i14);
    var i16__namespace = /*#__PURE__*/_interopNamespace(i16);

    var EmailServiceConfigurationService = /** @class */ (function () {
        function EmailServiceConfigurationService(http) {
            this.http = http;
        }
        // 查询系统配置
        EmailServiceConfigurationService.prototype.querySystemConfig = function () {
            var _this = this;
            return new Promise(function (resolve, reject) {
                var url = 'http://69.230.198.232:20000/email/api/emailManager/querySystemConfig';
                _this.http.get(url).subscribe(function (data) {
                    resolve(data);
                });
            });
        };
        // 保存系统配置
        EmailServiceConfigurationService.prototype.saveSystemConfig = function (params) {
            var _this = this;
            return new Promise(function (resolve, reject) {
                var url = 'http://69.230.198.232:20000/email/api/emailManager/saveSystemConfig';
                _this.http.post(url, params).subscribe(function (data) {
                    resolve(data);
                });
            });
        };
        // 查询邮件服务器配置列表
        EmailServiceConfigurationService.prototype.queryList = function () {
            var _this = this;
            return new Promise(function (resolve, reject) {
                var url = 'http://69.230.198.232:20000/email/api/emailManager/queryList';
                _this.http.get(url).subscribe(function (data) {
                    resolve(data);
                });
            });
        };
        // 新增邮件服务器配置
        EmailServiceConfigurationService.prototype.addService = function (params) {
            var _this = this;
            return new Promise(function (resolve, reject) {
                var url = 'http://69.230.198.232:20000/email/api/emailManager/add';
                _this.http.post(url, params).subscribe(function (data) {
                    resolve(data);
                });
            });
        };
        // 修改邮件服务器配置
        EmailServiceConfigurationService.prototype.updateService = function (params) {
            var _this = this;
            return new Promise(function (resolve, reject) {
                var url = 'http://69.230.198.232:20000/email/api/emailManager/update';
                _this.http.post(url, params).subscribe(function (data) {
                    resolve(data);
                });
            });
        };
        // 删除邮件服务器配置
        EmailServiceConfigurationService.prototype.deleteService = function (code) {
            var _this = this;
            return new Promise(function (resolve, reject) {
                var url = 'http://69.230.198.232:20000/email/api/emailManager/delete/' + code;
                _this.http.post(url, {}).subscribe(function (data) {
                    resolve(data);
                });
            });
        };
        // 发送测试邮件
        EmailServiceConfigurationService.prototype.testEmail = function (params) {
            var _this = this;
            return new Promise(function (resolve, reject) {
                var url = 'http://69.230.198.232:20000/email/api/emailManager/testEmail';
                _this.http.post(url, params).subscribe(function (data) {
                    resolve(data);
                });
            });
        };
        return EmailServiceConfigurationService;
    }());
    EmailServiceConfigurationService.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: EmailServiceConfigurationService, deps: [{ token: i1__namespace.HttpClient }], target: i0__namespace.ɵɵFactoryTarget.Injectable });
    EmailServiceConfigurationService.ɵprov = i0__namespace.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: EmailServiceConfigurationService, providedIn: 'root' });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: EmailServiceConfigurationService, decorators: [{
                type: i0.Injectable,
                args: [{
                        providedIn: 'root',
                    }]
            }], ctorParameters: function () { return [{ type: i1__namespace.HttpClient }]; } });

    var EmailServiceConfigurationComponent = /** @class */ (function () {
        function EmailServiceConfigurationComponent(emailServiceConfigurationService, translate, i18n, modal, message) {
            this.emailServiceConfigurationService = emailServiceConfigurationService;
            this.translate = translate;
            this.i18n = i18n;
            this.modal = modal;
            this.message = message;
            this.sendEmailTimeout = 300; // 有效时间
            this.sendEmailRetryInterval = 60; // 重发时间
            this.emailServiceList = []; // 邮件服务列表
            this.serviceDetail = {
                authEnable: false,
                starttlsEnable: false,
                sslEnable: false,
            }; // 邮件服务详情
            this.codeWarn = false; // code校验
            this.hostWarn = false; // 主机名校验
            this.portWarn = false; // 端口校验
            this.usernameWarn = false; // 发件方账户校验
            this.passwordWarn = false; // 授权码校验
            this.codeDisabled = false; // 禁止修改code
            this.serviceModalVisible = false; // 配置弹窗是否可见
            this.testModalVisible = false; // 测试弹窗是否可见
            this.testEmailCode = 0; // 测试邮箱标识码
            this.emailAddress = ''; // 测试邮箱地址
            this.emailTitle = ''; // 测试邮件标题
            this.emailContent = ''; // 测试邮件内容
            this.emailAddressWarn = false; // 测试邮箱地址验证
            this.emailTitleWarn = false; // 测试邮件标题验证
            this.emailContentWarn = false; // 测试邮件内容验证
        }
        EmailServiceConfigurationComponent.prototype.ngOnInit = function () {
            var _this = this;
            if (this.language == 'en') {
                this.translate.use('zh');
                this.translate.use('en');
                this.i18n.setLocale(i3.en_US);
                i15.registerLocaleData(en__default["default"]);
            }
            else {
                this.translate.use('en');
                this.translate.use('zh');
                i15.registerLocaleData(zh__default["default"]);
                this.i18n.setLocale(i3.zh_CN);
            }
            this.emailServiceConfigurationService
                .querySystemConfig()
                .then(function (res) {
                if (res.code == 200 && res.data) {
                    _this.sendEmailTimeout = res.data.sendEmailTimeout;
                    _this.sendEmailRetryInterval = res.data.sendEmailRetryInterval;
                }
            });
            this.searchServiceList();
        };
        // 保存系统配置
        EmailServiceConfigurationComponent.prototype.saveSystemConfig = function () {
            var _this = this;
            this.emailServiceConfigurationService
                .saveSystemConfig({
                sendEmailTimeout: this.sendEmailTimeout,
                sendEmailRetryInterval: this.sendEmailRetryInterval,
            })
                .then(function (res) {
                if (res.code == 200) {
                    _this.message.success(_this.translate.instant('emailServiceConfiguration.saveConfigSuccess'));
                }
                else {
                    _this.message.error(_this.translate.instant('emailServiceConfiguration.saveConfigFail'));
                }
            });
        };
        // 查询邮件服务列表
        EmailServiceConfigurationComponent.prototype.searchServiceList = function () {
            var _this = this;
            this.emailServiceConfigurationService.queryList().then(function (res) {
                if (res.code == 200) {
                    _this.emailServiceList = res.data;
                }
            });
        };
        // 打开新增服务弹窗
        EmailServiceConfigurationComponent.prototype.openAddModal = function () {
            this.codeDisabled = false;
            this.serviceModalVisible = true;
        };
        // 保存服务
        EmailServiceConfigurationComponent.prototype.saveService = function () {
            var _this = this;
            if (!this.serviceDetail.code) {
                this.codeWarn = true;
            }
            if (!this.serviceDetail.host) {
                this.hostWarn = true;
            }
            if (!this.serviceDetail.port && this.serviceDetail.port != 0) {
                this.portWarn = true;
            }
            var reg = /[a-zA-Z0-9]+([-_.][A-Za-zd]+)*@([a-zA-Z0-9]+[-.])+[A-Za-zd]{2,5}$/;
            if (!this.serviceDetail.username ||
                !reg.test(this.serviceDetail.username)) {
                this.usernameWarn = true;
            }
            if (this.serviceDetail.authEnable && !this.serviceDetail.password) {
                this.passwordWarn = true;
            }
            if (!this.codeWarn &&
                !this.hostWarn &&
                !this.portWarn &&
                !this.usernameWarn &&
                !this.passwordWarn) {
                if (this.codeDisabled) {
                    this.emailServiceConfigurationService
                        .updateService(this.serviceDetail)
                        .then(function (res) {
                        if (res.code == 200) {
                            _this.message.success(_this.translate.instant('emailServiceConfiguration.updateServiceSuccess'));
                            _this.serviceModalVisible = false;
                            _this.searchServiceList();
                        }
                        else {
                            _this.message.error(_this.translate.instant('emailServiceConfiguration.updateServiceFail'));
                        }
                    });
                }
                else {
                    this.emailServiceConfigurationService
                        .addService(this.serviceDetail)
                        .then(function (res) {
                        if (res.code == 200) {
                            _this.message.success(_this.translate.instant('emailServiceConfiguration.addServiceSuccess'));
                            _this.serviceModalVisible = false;
                            _this.searchServiceList();
                        }
                        else {
                            _this.message.error(_this.translate.instant('emailServiceConfiguration.addServiceFail'));
                        }
                    });
                }
            }
        };
        // 打开编辑配置弹窗
        EmailServiceConfigurationComponent.prototype.openEditModal = function (data) {
            this.serviceDetail = data;
            this.codeDisabled = true;
            this.serviceModalVisible = true;
        };
        // 关闭配置弹窗
        EmailServiceConfigurationComponent.prototype.closeServiceModal = function () {
            this.serviceModalVisible = false;
            this.serviceDetail = {
                authEnable: false,
                starttlsEnable: false,
                sslEnable: false,
            };
            this.codeWarn = false;
            this.hostWarn = false;
            this.portWarn = false;
            this.usernameWarn = false;
            this.passwordWarn = false;
        };
        // 打开测试弹窗
        EmailServiceConfigurationComponent.prototype.openTestModal = function (data) {
            this.testEmailCode = data.code;
            this.testModalVisible = true;
        };
        // 关闭测试弹窗
        EmailServiceConfigurationComponent.prototype.closeTestModal = function () {
            this.emailAddress = '';
            this.emailTitle = '';
            this.emailContent = '';
            this.emailAddressWarn = false;
            this.testModalVisible = false;
        };
        // 发送测试邮件
        EmailServiceConfigurationComponent.prototype.testEmail = function () {
            var _this = this;
            var reg = /[a-zA-Z0-9]+([-_.][A-Za-zd]+)*@([a-zA-Z0-9]+[-.])+[A-Za-zd]{2,5}$/;
            if (!this.emailAddress || !reg.test(this.emailAddress)) {
                this.emailAddressWarn = true;
            }
            if (!this.emailTitle) {
                this.emailTitleWarn = true;
            }
            if (!this.emailContent) {
                this.emailContentWarn = true;
            }
            if (!this.emailAddressWarn &&
                !this.emailTitleWarn &&
                !this.emailContentWarn) {
                this.emailServiceConfigurationService
                    .testEmail({
                    code: this.testEmailCode,
                    targetEmails: [this.emailAddress],
                    subject: this.emailTitle,
                    text: this.emailContent,
                })
                    .then(function (res) {
                    if (res.code == 200) {
                        _this.message.success(_this.translate.instant('emailServiceConfiguration.sendEmailSuccess'));
                        _this.closeTestModal();
                    }
                    else {
                        _this.message.error(_this.translate.instant('emailServiceConfiguration.sendEmailFail'));
                    }
                });
            }
        };
        // 删除邮件服务
        EmailServiceConfigurationComponent.prototype.deleteService = function (data) {
            var _this = this;
            this.modal.confirm({
                nzTitle: this.translate.instant('emailServiceConfiguration.deleteServiceTitle'),
                nzOnOk: function () {
                    _this.emailServiceConfigurationService
                        .deleteService(data.code)
                        .then(function (res) {
                        if (res.code == 200) {
                            _this.message.success(_this.translate.instant('emailServiceConfiguration.deleteServiceSuccess'));
                            _this.searchServiceList();
                        }
                        else {
                            _this.message.error(_this.translate.instant('emailServiceConfiguration.deleteServiceFail'));
                        }
                    });
                },
            });
        };
        return EmailServiceConfigurationComponent;
    }());
    EmailServiceConfigurationComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: EmailServiceConfigurationComponent, deps: [{ token: EmailServiceConfigurationService }, { token: i2__namespace.TranslateService }, { token: i3__namespace.NzI18nService }, { token: i4__namespace.NzModalService }, { token: i5__namespace.NzMessageService }], target: i0__namespace.ɵɵFactoryTarget.Component });
    EmailServiceConfigurationComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.16", type: EmailServiceConfigurationComponent, selector: "ngx-email-service-configuration", inputs: { language: "language" }, ngImport: i0__namespace, template: "<div class=\"bg\">\r\n  <div\r\n    style=\"\r\n      background: rgba(235, 240, 245, 1);\r\n      z-index: 2;\r\n      padding-top: 0.625rem;\r\n    \"\r\n  >\r\n    <nz-breadcrumb nzSeparator=\">\" class=\"breadcrumb-div\">\r\n      <nz-breadcrumb-item style=\"display: inline-flex\">\r\n        <div\r\n          class=\"breadcrumb-overview\"\r\n          style=\"cursor: pointer\"\r\n          routerLink=\"/entrance-iot\"\r\n        >\r\n          <span class=\"breadcrumb-overview-text\">{{\r\n            \"engineering.breadcrumb1\" | translate\r\n          }}</span>\r\n        </div>\r\n      </nz-breadcrumb-item>\r\n      <nz-breadcrumb-item class=\"breadcrumb-ticketno-overview\">{{\r\n        \"engineering.breadcrumb2\" | translate\r\n      }}</nz-breadcrumb-item>\r\n      <nz-breadcrumb-item class=\"breadcrumb-ticketno-overview\">{{\r\n        \"engineering.module7.title\" | translate\r\n      }}</nz-breadcrumb-item>\r\n      <nz-breadcrumb-item class=\"breadcrumb-ticketno-overview\">{{\r\n        \"engineering.module7.item1\" | translate\r\n      }}</nz-breadcrumb-item>\r\n    </nz-breadcrumb>\r\n    <div class=\"title-div\">\r\n      <div class=\"title-div-overview\">\r\n        <div class=\"overview-title\">\r\n          {{ \"emailServiceConfiguration.title\" | translate }}\r\n        </div>\r\n        <div class=\"overview-subtitle\">\r\n          {{ \"emailServiceConfiguration.subtitle\" | translate }}\r\n        </div>\r\n      </div>\r\n      <div class=\"title-div-configuration\">\r\n        <i class=\"glyph glyph-mail\" style=\"color: #0f8287\"></i>\r\n        <div class=\"title-configuration\">\r\n          {{ \"emailServiceConfiguration.configuration\" | translate }}\r\n        </div>\r\n      </div>\r\n      <div class=\"title-div-list\" routerLinkActive=\"router-link-active\">\r\n        <i class=\"glyph glyph-list\"></i>\r\n        <div class=\"title-list\">\r\n          {{ \"emailServiceConfiguration.list\" | translate }}\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n  <div class=\"email-service-configuration\">\r\n    <div class=\"email-service-configuration-operation\">\r\n      <button\r\n        nz-button\r\n        nzType=\"primary\"\r\n        (click)=\"openAddModal()\"\r\n        style=\"margin-right: 20px\"\r\n      >\r\n        <i nz-icon nzType=\"plus\" nzTheme=\"outline\"></i>\r\n        {{ \"emailServiceConfiguration.addService\" | translate }}\r\n      </button>\r\n      <div>\r\n        <div class=\"email-service-configuration-operation-label\">\r\n          {{ \"emailServiceConfiguration.effectiveTime\" | translate }}\r\n        </div>\r\n        <nz-input-number\r\n          style=\"width: 200px\"\r\n          [nzMin]=\"1\"\r\n          [(ngModel)]=\"sendEmailTimeout\"\r\n        >\r\n        </nz-input-number>\r\n      </div>\r\n      <div style=\"margin: 0 10px\">\r\n        <div class=\"email-service-configuration-operation-label\">\r\n          {{ \"emailServiceConfiguration.resendInterval\" | translate }}\r\n        </div>\r\n        <nz-input-number\r\n          style=\"width: 200px\"\r\n          [nzMin]=\"1\"\r\n          [(ngModel)]=\"sendEmailRetryInterval\"\r\n        >\r\n        </nz-input-number>\r\n      </div>\r\n      <button nz-button (click)=\"saveSystemConfig()\">\r\n        <i nz-icon nzType=\"check\" nzTheme=\"outline\"></i>\r\n      </button>\r\n    </div>\r\n    <nz-table\r\n      style=\"height: calc(100% - 75px)\"\r\n      #serverList\r\n      [nzFrontPagination]=\"false\"\r\n      [nzData]=\"emailServiceList\"\r\n    >\r\n      <thead>\r\n        <tr>\r\n          <th>{{ \"emailServiceConfiguration.code\" | translate }}</th>\r\n          <th>{{ \"emailServiceConfiguration.hostName\" | translate }}</th>\r\n          <th>{{ \"emailServiceConfiguration.port\" | translate }}</th>\r\n          <th>{{ \"emailServiceConfiguration.senderAddress\" | translate }}</th>\r\n          <th>{{ \"emailServiceConfiguration.displayName\" | translate }}</th>\r\n          <th>{{ \"emailServiceConfiguration.password\" | translate }}</th>\r\n          <th>\r\n            {{ \"emailServiceConfiguration.timeout\" | translate }}\r\n          </th>\r\n          <th>{{ \"emailServiceConfiguration.authEnable\" | translate }}</th>\r\n          <th>{{ \"emailServiceConfiguration.starttlsEnable\" | translate }}</th>\r\n          <th>{{ \"emailServiceConfiguration.sslEnable\" | translate }}</th>\r\n          <th>{{ \"emailServiceConfiguration.operation\" | translate }}</th>\r\n        </tr>\r\n      </thead>\r\n      <tbody>\r\n        <tr *ngFor=\"let data of serverList.data\">\r\n          <td>{{ data.code }}</td>\r\n          <td>{{ data.host }}</td>\r\n          <td>{{ data.port }}</td>\r\n          <td>{{ data.username }}</td>\r\n          <td>{{ data.displayName }}</td>\r\n          <td>{{ data.password }}</td>\r\n          <td>{{ data.connectionTimeout }}</td>\r\n          <td>\r\n            {{ \"emailServiceConfiguration.\" + data.authEnable | translate }}\r\n          </td>\r\n          <td>\r\n            {{ \"emailServiceConfiguration.\" + data.starttlsEnable | translate }}\r\n          </td>\r\n          <td>\r\n            {{ \"emailServiceConfiguration.\" + data.sslEnable | translate }}\r\n          </td>\r\n          <td>\r\n            <img\r\n              src=\"/assets/images/pen-pen.svg\"\r\n              style=\"cursor: pointer\"\r\n              (click)=\"openEditModal(data)\"\r\n            />\r\n            <img\r\n              src=\"/assets/images/e-mail-e-mail.svg\"\r\n              style=\"cursor: pointer; margin: 0 5px\"\r\n              (click)=\"openTestModal(data)\"\r\n            />\r\n            <img\r\n              src=\"/assets/images/trashcan-trashcan.svg\"\r\n              style=\"cursor: pointer\"\r\n              (click)=\"deleteService(data)\"\r\n            />\r\n          </td>\r\n        </tr>\r\n      </tbody>\r\n    </nz-table>\r\n  </div>\r\n</div>\r\n<nz-modal\r\n  [nzVisible]=\"serviceModalVisible\"\r\n  [nzTitle]=\"'emailServiceConfiguration.configuration' | translate\"\r\n  nzWidth=\"600\"\r\n  (nzOnOk)=\"saveService()\"\r\n  (nzOnCancel)=\"closeServiceModal()\"\r\n>\r\n  <div class=\"configuration-modal-label\">\r\n    {{ \"emailServiceConfiguration.code\" | translate }}\r\n    <span style=\"color: #dc0031; margin-right: 5px\">*</span>\r\n    <span *ngIf=\"codeWarn\" style=\"color: #dc0031\">{{\r\n      \"emailServiceConfiguration.codeWarn\" | translate\r\n    }}</span>\r\n  </div>\r\n  <input\r\n    nz-input\r\n    style=\"margin-bottom: 15px\"\r\n    [(ngModel)]=\"serviceDetail.code\"\r\n    (ngModelChange)=\"codeWarn = false\"\r\n    [disabled]=\"codeDisabled\"\r\n  />\r\n  <div class=\"configuration-modal-label\">\r\n    {{ \"emailServiceConfiguration.hostName\" | translate }}\r\n    <span style=\"color: #dc0031; margin-right: 5px\">*</span>\r\n    <span *ngIf=\"hostWarn\" style=\"color: #dc0031\">{{\r\n      \"emailServiceConfiguration.hostNameWarn\" | translate\r\n    }}</span>\r\n  </div>\r\n  <input\r\n    nz-input\r\n    style=\"margin-bottom: 15px\"\r\n    [(ngModel)]=\"serviceDetail.host\"\r\n    (ngModelChange)=\"hostWarn = false\"\r\n  />\r\n  <div class=\"configuration-modal-label\">\r\n    {{ \"emailServiceConfiguration.port\" | translate }}\r\n    <span style=\"color: #dc0031; margin-right: 5px\">*</span>\r\n    <span *ngIf=\"portWarn\" style=\"color: #dc0031\">{{\r\n      \"emailServiceConfiguration.portWarn\" | translate\r\n    }}</span>\r\n  </div>\r\n  <nz-input-number\r\n    style=\"margin-bottom: 15px; width: 100%\"\r\n    [nzMin]=\"0\"\r\n    [(ngModel)]=\"serviceDetail.port\"\r\n    (ngModelChange)=\"portWarn = false\"\r\n  ></nz-input-number>\r\n  <div class=\"configuration-modal-label\">\r\n    {{ \"emailServiceConfiguration.senderAddress\" | translate }}\r\n    <span style=\"color: #dc0031; margin-right: 5px\">*</span>\r\n    <span *ngIf=\"usernameWarn\" style=\"color: #dc0031\">{{\r\n      \"emailServiceConfiguration.senderAddressWarn\" | translate\r\n    }}</span>\r\n  </div>\r\n  <input\r\n    nz-input\r\n    style=\"margin-bottom: 15px\"\r\n    [(ngModel)]=\"serviceDetail.username\"\r\n    (ngModelChange)=\"usernameWarn = false\"\r\n  />\r\n  <div class=\"configuration-modal-label\">\r\n    {{ \"emailServiceConfiguration.displayName\" | translate }}\r\n  </div>\r\n  <input\r\n    nz-input\r\n    style=\"margin-bottom: 15px\"\r\n    [(ngModel)]=\"serviceDetail.displayName\"\r\n  />\r\n  <div class=\"configuration-modal-label\">\r\n    {{ \"emailServiceConfiguration.password\" | translate }}\r\n    <span\r\n      *ngIf=\"serviceDetail.authEnable\"\r\n      style=\"color: #dc0031; margin-right: 5px\"\r\n    >\r\n      *\r\n    </span>\r\n    <span *ngIf=\"passwordWarn\" style=\"color: #dc0031\">{{\r\n      \"emailServiceConfiguration.passwordWarn\" | translate\r\n    }}</span>\r\n  </div>\r\n  <input\r\n    nz-input\r\n    style=\"margin-bottom: 15px\"\r\n    [(ngModel)]=\"serviceDetail.password\"\r\n    (ngModelChange)=\"passwordWarn = false\"\r\n  />\r\n  <div class=\"configuration-modal-label\">\r\n    {{ \"emailServiceConfiguration.timeout\" | translate }}\r\n  </div>\r\n  <nz-input-number\r\n    style=\"margin-bottom: 15px; width: 100%\"\r\n    [nzMin]=\"0\"\r\n    [(ngModel)]=\"serviceDetail.connectionTimeout\"\r\n  ></nz-input-number>\r\n  <div class=\"configuration-modal-label\">\r\n    {{ \"emailServiceConfiguration.authEnable\" | translate }}\r\n  </div>\r\n  <nz-select\r\n    style=\"width: 100%; margin-bottom: 15px\"\r\n    [(ngModel)]=\"serviceDetail.authEnable\"\r\n    (ngModelChange)=\"passwordWarn = false\"\r\n  >\r\n    <nz-option\r\n      [nzValue]=\"true\"\r\n      [nzLabel]=\"'emailServiceConfiguration.true' | translate\"\r\n    >\r\n    </nz-option>\r\n    <nz-option\r\n      [nzValue]=\"false\"\r\n      [nzLabel]=\"'emailServiceConfiguration.false' | translate\"\r\n    >\r\n    </nz-option>\r\n  </nz-select>\r\n  <div class=\"configuration-modal-label\">\r\n    {{ \"emailServiceConfiguration.starttlsEnable\" | translate }}\r\n  </div>\r\n  <nz-select\r\n    style=\"width: 100%; margin-bottom: 15px\"\r\n    [(ngModel)]=\"serviceDetail.starttlsEnable\"\r\n  >\r\n    <nz-option\r\n      [nzValue]=\"true\"\r\n      [nzLabel]=\"'emailServiceConfiguration.true' | translate\"\r\n    >\r\n    </nz-option>\r\n    <nz-option\r\n      [nzValue]=\"false\"\r\n      [nzLabel]=\"'emailServiceConfiguration.false' | translate\"\r\n    >\r\n    </nz-option>\r\n  </nz-select>\r\n  <div class=\"configuration-modal-label\">\r\n    {{ \"emailServiceConfiguration.sslEnable\" | translate }}\r\n  </div>\r\n  <nz-select style=\"width: 100%\" [(ngModel)]=\"serviceDetail.sslEnable\">\r\n    <nz-option\r\n      [nzValue]=\"true\"\r\n      [nzLabel]=\"'emailServiceConfiguration.true' | translate\"\r\n    >\r\n    </nz-option>\r\n    <nz-option\r\n      [nzValue]=\"false\"\r\n      [nzLabel]=\"'emailServiceConfiguration.false' | translate\"\r\n    >\r\n    </nz-option>\r\n  </nz-select>\r\n</nz-modal>\r\n<nz-modal\r\n  [nzVisible]=\"testModalVisible\"\r\n  [nzTitle]=\"'emailServiceConfiguration.test' | translate\"\r\n  nzWidth=\"600\"\r\n  (nzOnOk)=\"testEmail()\"\r\n  (nzOnCancel)=\"closeTestModal()\"\r\n>\r\n  <div class=\"test-modal-label\">\r\n    {{ \"emailServiceConfiguration.address\" | translate }}\r\n    <span style=\"color: #dc0031; margin-right: 5px\">*</span>\r\n    <span *ngIf=\"emailAddressWarn\" style=\"color: #dc0031\">{{\r\n      \"emailServiceConfiguration.emailAddressWarn\" | translate\r\n    }}</span>\r\n  </div>\r\n  <input\r\n    nz-input\r\n    style=\"margin-bottom: 15px\"\r\n    [(ngModel)]=\"emailAddress\"\r\n    (ngModelChange)=\"emailAddressWarn = false\"\r\n  />\r\n  <div class=\"test-modal-label\">\r\n    {{ \"emailServiceConfiguration.emailTitle\" | translate }}\r\n    <span style=\"color: #dc0031; margin-right: 5px\">*</span>\r\n    <span *ngIf=\"emailTitleWarn\" style=\"color: #dc0031\">{{\r\n      \"emailServiceConfiguration.emailTitleWarn\" | translate\r\n    }}</span>\r\n  </div>\r\n  <input\r\n    nz-input\r\n    style=\"margin-bottom: 15px\"\r\n    [(ngModel)]=\"emailTitle\"\r\n    (ngModelChange)=\"emailTitleWarn = false\"\r\n  />\r\n  <div class=\"test-modal-label\">\r\n    {{ \"emailServiceConfiguration.emailContent\" | translate }}\r\n    <span style=\"color: #dc0031; margin-right: 5px\">*</span>\r\n    <span *ngIf=\"emailContentWarn\" style=\"color: #dc0031\">{{\r\n      \"emailServiceConfiguration.emailContentWarn\" | translate\r\n    }}</span>\r\n  </div>\r\n  <textarea\r\n    nz-input\r\n    rows=\"4\"\r\n    style=\"margin-bottom: 15px\"\r\n    [(ngModel)]=\"emailContent\"\r\n    (ngModelChange)=\"emailContentWarn = false\"\r\n  ></textarea>\r\n  <div class=\"test-modal-label\">\r\n    {{ \"emailServiceConfiguration.note\" | translate }}\r\n  </div>\r\n  <div class=\"test-modal-label\">\r\n    {{ \"emailServiceConfiguration.noteInfo\" | translate }}\r\n  </div>\r\n</nz-modal>\r\n", styles: [".bg{position:absolute;width:90.1rem;height:calc(100% - 55px);margin:0 auto;background-color:#edf0f2;left:4.55rem;top:1.975rem;overflow-x:hidden;overflow-y:auto}.breadcrumb-div{height:1.6rem;line-height:1.6rem}.breadcrumb-overview{height:1.6rem;line-height:1.6rem;border-radius:.2rem;background-color:#ced9e2;text-align:center}.breadcrumb-overview-text{height:1rem;font-size:.7rem;font-weight:bold;font-stretch:normal;font-style:normal;letter-spacing:normal;color:#000000bf}.breadcrumb-conti-overview{width:9.8rem;height:1.6rem;line-height:1.6rem;border-radius:.2rem;padding-left:.75rem;margin-left:-1.25rem;background-color:#ced9e2;text-align:center;cursor:pointer}.breadcrumb-ticketno-overview{font-size:.7rem;font-weight:normal;font-stretch:normal;font-style:normal;letter-spacing:normal;color:#000000bf}:host ::ng-deep .ant-breadcrumb-separator{z-index:1;margin-left:.75rem;font-weight:900}.title-div{display:table;width:90.1rem;margin-top:.2rem;padding-bottom:.625rem}.title-div-overview{display:table-cell;vertical-align:bottom}.title-div-configuration{display:table-cell;text-align:center;width:4rem;vertical-align:middle;padding-right:1rem}.title-div-list{display:table-cell;text-align:center;width:4rem;vertical-align:middle;cursor:pointer}.overview-title{height:1.5rem;font-size:1.3rem;font-weight:bold;font-stretch:normal;font-style:normal;line-height:normal;letter-spacing:normal;color:#000}.overview-subtitle{height:.95rem;font-size:.8rem;font-weight:bold;font-stretch:normal;font-style:normal;line-height:normal;letter-spacing:normal;color:#0009;margin-top:.15rem}.title-configuration{font-size:.7rem;font-weight:bold;font-stretch:normal;font-style:normal;line-height:normal;letter-spacing:normal;text-align:center;color:#0f8287;margin-top:.25rem}.title-list{font-size:.7rem;font-weight:bold;font-stretch:normal;font-style:normal;line-height:normal;letter-spacing:normal;text-align:center;margin-top:.25rem;color:#000000d9}.email-service-configuration{width:100%;height:calc(100% - 135px);overflow:hidden;position:relative}.email-service-configuration-operation{display:flex;align-items:flex-end;margin:5px 0 15px}.email-service-configuration-operation-label{font-size:12px;margin-bottom:5px;display:flex;align-items:center}.email-service-configuration-body{width:100%;height:calc(100% - 45px);overflow-x:hidden;overflow-y:auto}.configuration-modal-label{font-size:12px;margin-bottom:5px;color:#0000008c}.test-modal-label{font-size:12px;line-height:1.5;color:#0000008c;display:flex;align-items:center}\n"], components: [{ type: i6__namespace.NzBreadCrumbComponent, selector: "nz-breadcrumb", inputs: ["nzAutoGenerate", "nzSeparator", "nzRouteLabel", "nzRouteLabelFn"], exportAs: ["nzBreadcrumb"] }, { type: i6__namespace.NzBreadCrumbItemComponent, selector: "nz-breadcrumb-item", inputs: ["nzOverlay"], exportAs: ["nzBreadcrumbItem"] }, { type: i7__namespace.NzButtonComponent, selector: "button[nz-button], a[nz-button]", inputs: ["nzBlock", "nzGhost", "nzSearch", "nzLoading", "nzDanger", "disabled", "tabIndex", "nzType", "nzShape", "nzSize"], exportAs: ["nzButton"] }, { type: i8__namespace.NzInputNumberComponent, selector: "nz-input-number", inputs: ["nzSize", "nzMin", "nzMax", "nzParser", "nzPrecisionMode", "nzPlaceHolder", "nzStep", "nzInputMode", "nzId", "nzDisabled", "nzAutoFocus", "nzFormatter", "nzPrecision"], outputs: ["nzBlur", "nzFocus"], exportAs: ["nzInputNumber"] }, { type: i9__namespace.NzTableComponent, selector: "nz-table", inputs: ["nzTableLayout", "nzShowTotal", "nzItemRender", "nzTitle", "nzFooter", "nzNoResult", "nzPageSizeOptions", "nzVirtualItemSize", "nzVirtualMaxBufferPx", "nzVirtualMinBufferPx", "nzVirtualForTrackBy", "nzLoadingDelay", "nzPageIndex", "nzPageSize", "nzTotal", "nzWidthConfig", "nzData", "nzPaginationPosition", "nzScroll", "nzPaginationType", "nzFrontPagination", "nzTemplateMode", "nzShowPagination", "nzLoading", "nzOuterBordered", "nzLoadingIndicator", "nzBordered", "nzSize", "nzShowSizeChanger", "nzHideOnSinglePage", "nzShowQuickJumper", "nzSimple"], outputs: ["nzPageSizeChange", "nzPageIndexChange", "nzQueryParams", "nzCurrentPageDataChange"], exportAs: ["nzTable"] }, { type: i9__namespace.NzTheadComponent, selector: "thead:not(.ant-table-thead)", outputs: ["nzSortOrderChange"] }, { type: i9__namespace.NzTbodyComponent, selector: "tbody" }, { type: i4__namespace.NzModalComponent, selector: "nz-modal", inputs: ["nzVisible", "nzClosable", "nzOkLoading", "nzOkDisabled", "nzCancelDisabled", "nzCancelLoading", "nzKeyboard", "nzNoAnimation", "nzCentered", "nzZIndex", "nzWidth", "nzCloseIcon", "nzOkType", "nzOkDanger", "nzIconType", "nzModalType", "nzAutofocus", "nzOnOk", "nzOnCancel", "nzTitle", "nzFooter", "nzMask", "nzMaskClosable", "nzCloseOnNavigation", "nzContent", "nzComponentParams", "nzWrapClassName", "nzClassName", "nzStyle", "nzMaskStyle", "nzBodyStyle", "nzOkText", "nzCancelText"], outputs: ["nzOnOk", "nzOnCancel", "nzAfterOpen", "nzAfterClose", "nzVisibleChange"], exportAs: ["nzModal"] }, { type: i10__namespace.NzSelectComponent, selector: "nz-select", inputs: ["nzId", "nzSize", "nzOptionHeightPx", "nzOptionOverflowSize", "nzDropdownClassName", "nzDropdownMatchSelectWidth", "nzDropdownStyle", "nzNotFoundContent", "nzPlaceHolder", "nzMaxTagCount", "nzDropdownRender", "nzCustomTemplate", "nzSuffixIcon", "nzClearIcon", "nzRemoveIcon", "nzMenuItemSelectedIcon", "nzTokenSeparators", "nzMaxTagPlaceholder", "nzMaxMultipleCount", "nzMode", "nzFilterOption", "compareWith", "nzAllowClear", "nzBorderless", "nzShowSearch", "nzLoading", "nzAutoFocus", "nzAutoClearSearchValue", "nzServerSearch", "nzDisabled", "nzOpen", "nzBackdrop", "nzOptions", "nzShowArrow"], outputs: ["nzOnSearch", "nzScrollToBottom", "nzOpenChange", "nzBlur", "nzFocus"], exportAs: ["nzSelect"] }, { type: i10__namespace.NzOptionComponent, selector: "nz-option", inputs: ["nzLabel", "nzValue", "nzDisabled", "nzHide", "nzCustomContent"], exportAs: ["nzOption"] }], directives: [{ type: i11__namespace.NzWaveDirective, selector: "[nz-wave],button[nz-button]:not([nzType=\"link\"]):not([nzType=\"text\"])", inputs: ["nzWaveExtraNode"], exportAs: ["nzWave"] }, { type: i12__namespace.ɵNzTransitionPatchDirective, selector: "[nz-button], nz-button-group, [nz-icon], [nz-menu-item], [nz-submenu], nz-select-top-control, nz-select-placeholder, nz-input-group", inputs: ["hidden"] }, { type: i13__namespace.NzIconDirective, selector: "[nz-icon]", inputs: ["nzRotate", "nzSpin", "nzType", "nzTheme", "nzTwotoneColor", "nzIconfont"], exportAs: ["nzIcon"] }, { type: i14__namespace.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i14__namespace.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { type: i9__namespace.NzTrDirective, selector: "tr:not([mat-row]):not([mat-header-row]):not([nz-table-measure-row]):not([nzExpand]):not([nz-table-fixed-row])" }, { type: i9__namespace.NzTableCellDirective, selector: "th:not(.nz-disable-th):not([mat-cell]), td:not(.nz-disable-td):not([mat-cell])" }, { type: i9__namespace.NzThMeasureDirective, selector: "th", inputs: ["nzWidth", "colspan", "colSpan", "rowspan", "rowSpan"] }, { type: i15__namespace.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i15__namespace.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i16__namespace.NzInputDirective, selector: "input[nz-input],textarea[nz-input]", inputs: ["nzBorderless", "nzSize", "disabled"], exportAs: ["nzInput"] }, { type: i14__namespace.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }], pipes: { "translate": i2__namespace.TranslatePipe } });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: EmailServiceConfigurationComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'ngx-email-service-configuration',
                        templateUrl: './email-service-configuration.component.html',
                        styleUrls: ['./email-service-configuration.component.scss'],
                    }]
            }], ctorParameters: function () { return [{ type: EmailServiceConfigurationService }, { type: i2__namespace.TranslateService }, { type: i3__namespace.NzI18nService }, { type: i4__namespace.NzModalService }, { type: i5__namespace.NzMessageService }]; }, propDecorators: { language: [{
                    type: i0.Input
                }] } });

    i15.registerLocaleData(zh__default["default"]);
    function HttpLoaderFactory(httpClient) {
        return new httpLoader.TranslateHttpLoader(httpClient);
    }
    var EmailServiceConfigurationModule = /** @class */ (function () {
        function EmailServiceConfigurationModule() {
        }
        return EmailServiceConfigurationModule;
    }());
    EmailServiceConfigurationModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: EmailServiceConfigurationModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    EmailServiceConfigurationModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: EmailServiceConfigurationModule, declarations: [EmailServiceConfigurationComponent], imports: [platformBrowser.BrowserModule,
            animations.BrowserAnimationsModule,
            coreUi.CoreUiModule,
            i14.FormsModule, i2__namespace.TranslateModule, i16.NzInputModule,
            i6.NzBreadCrumbModule,
            i8.NzInputNumberModule,
            i9.NzTableModule,
            i4.NzModalModule,
            i10.NzSelectModule,
            i5.NzMessageModule,
            i7.NzButtonModule,
            i13.NzIconModule], exports: [EmailServiceConfigurationComponent] });
    EmailServiceConfigurationModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: EmailServiceConfigurationModule, providers: [{ provide: i3.NZ_I18N, useValue: i3.zh_CN }], imports: [[
                platformBrowser.BrowserModule,
                animations.BrowserAnimationsModule,
                coreUi.CoreUiModule,
                i14.FormsModule,
                i2.TranslateModule.forRoot({
                    loader: {
                        provide: i2.TranslateLoader,
                        useFactory: HttpLoaderFactory,
                        deps: [i1.HttpClient],
                    },
                }),
                i16.NzInputModule,
                i6.NzBreadCrumbModule,
                i8.NzInputNumberModule,
                i9.NzTableModule,
                i4.NzModalModule,
                i10.NzSelectModule,
                i5.NzMessageModule,
                i7.NzButtonModule,
                i13.NzIconModule,
            ]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: EmailServiceConfigurationModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        declarations: [EmailServiceConfigurationComponent],
                        imports: [
                            platformBrowser.BrowserModule,
                            animations.BrowserAnimationsModule,
                            coreUi.CoreUiModule,
                            i14.FormsModule,
                            i2.TranslateModule.forRoot({
                                loader: {
                                    provide: i2.TranslateLoader,
                                    useFactory: HttpLoaderFactory,
                                    deps: [i1.HttpClient],
                                },
                            }),
                            i16.NzInputModule,
                            i6.NzBreadCrumbModule,
                            i8.NzInputNumberModule,
                            i9.NzTableModule,
                            i4.NzModalModule,
                            i10.NzSelectModule,
                            i5.NzMessageModule,
                            i7.NzButtonModule,
                            i13.NzIconModule,
                        ],
                        exports: [EmailServiceConfigurationComponent],
                        providers: [{ provide: i3.NZ_I18N, useValue: i3.zh_CN }],
                    }]
            }] });

    /*
     * Public API Surface of email-service-configuration
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.EmailServiceConfigurationComponent = EmailServiceConfigurationComponent;
    exports.EmailServiceConfigurationModule = EmailServiceConfigurationModule;
    exports.EmailServiceConfigurationService = EmailServiceConfigurationService;
    exports.HttpLoaderFactory = HttpLoaderFactory;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=email-service-configuration.umd.js.map
