import { OnInit } from '@angular/core';
import { EmailServiceConfigurationService } from './email-service-configuration.service';
import { TranslateService } from '@ngx-translate/core';
import { NzI18nService } from 'ng-zorro-antd/i18n';
import { NzMessageService } from 'ng-zorro-antd/message';
import { NzModalService } from 'ng-zorro-antd/modal';
import * as i0 from "@angular/core";
export declare class EmailServiceConfigurationComponent implements OnInit {
    private emailServiceConfigurationService;
    private translate;
    private i18n;
    private modal;
    private message;
    constructor(emailServiceConfigurationService: EmailServiceConfigurationService, translate: TranslateService, i18n: NzI18nService, modal: NzModalService, message: NzMessageService);
    language: any;
    sendEmailTimeout: number;
    sendEmailRetryInterval: number;
    emailServiceList: Array<any>;
    serviceDetail: any;
    codeWarn: boolean;
    hostWarn: boolean;
    portWarn: boolean;
    usernameWarn: boolean;
    passwordWarn: boolean;
    codeDisabled: boolean;
    serviceModalVisible: boolean;
    testModalVisible: boolean;
    testEmailCode: number;
    emailAddress: string;
    emailTitle: string;
    emailContent: string;
    emailAddressWarn: boolean;
    emailTitleWarn: boolean;
    emailContentWarn: boolean;
    ngOnInit(): void;
    saveSystemConfig(): void;
    searchServiceList(): void;
    openAddModal(): void;
    saveService(): void;
    openEditModal(data: any): void;
    closeServiceModal(): void;
    openTestModal(data: any): void;
    closeTestModal(): void;
    testEmail(): void;
    deleteService(data: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EmailServiceConfigurationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EmailServiceConfigurationComponent, "ngx-email-service-configuration", never, { "language": "language"; }, {}, never, never>;
}
